<?php

/**
 * Created by PhpStorm.
 * User: d.lanec
 * Date: 19.05.2020
 * Time: 22:24
 */

namespace Mailbox\Infrastructure\Repositories;

interface RepositoryConfigInterface
{
    public function getLogin(): string;

    /**
     * бсолютный путь к директории вложений
     * @return string
     */
    public function getAttachmentsDir(): string;

    /**
     * аксимальный диапазон просматриваемых писем на сервере
     * @return int
     */
    public function getLimit(): int;
}
